org.apache.commons.compress.compressors.lz4

## Enum FramedLZ4CompressorOutputStream.BlockSize

- java.lang.Object
- - java.lang.Enum<FramedLZ4CompressorOutputStream.BlockSize>
  - - org.apache.commons.compress.compressors.lz4.FramedLZ4CompressorOutputStream.BlockSize

- All Implemented Interfaces:
    Serializable, Comparable<FramedLZ4CompressorOutputStream.BlockSize>
  Enclosing class:
    FramedLZ4CompressorOutputStream

      public static enum FramedLZ4CompressorOutputStream.BlockSize
      extends Enum<FramedLZ4CompressorOutputStream.BlockSize>

  The block sizes supported by the format.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `K256` Block size of 256K
    `K64` Block size of 64K
    `M1` Block size of 1M
    `M4` Block size of 4M

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FramedLZ4CompressorOutputStream.BlockSize` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FramedLZ4CompressorOutputStream.BlockSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### K64

          public static final FramedLZ4CompressorOutputStream.BlockSize K64

      Block size of 64K

    - #### K256

          public static final FramedLZ4CompressorOutputStream.BlockSize K256

      Block size of 256K

    - #### M1

          public static final FramedLZ4CompressorOutputStream.BlockSize M1

      Block size of 1M

    - #### M4

          public static final FramedLZ4CompressorOutputStream.BlockSize M4

      Block size of 4M

  - ### Method Detail

    - #### values

          public static FramedLZ4CompressorOutputStream.BlockSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FramedLZ4CompressorOutputStream.BlockSize c : FramedLZ4CompressorOutputStream.BlockSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FramedLZ4CompressorOutputStream.BlockSize valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.